# Examples to show how to use RAPIDS cuml with dask

Subdirectories of this directory contain sample programs to show how
algorithms from cuml can be used with dask.

# Before running the examples

Install dask-cudf and dask-cuda packages using ```conda install dask-cudf dask-cuda```

# How to run the examples
Run the examples as below:

```
python $CONDA_PREFIX/cuml/examples/example-dask-cuml-knn/example-dask-cuml-knn.py
```

Command line options like --nrows, --ncols, --n_neighbors, --n_workers are
provided to these example programs wherever appropriate. Default values for all
these options exist.

--nrows and --ncols options represent the number of rows and number of columns
of random data to be generated. This generated random data will be used as
input data for the machine learning model training.

--dask_scheduler option can be used to pass the dask cluster scheduler URL as argument
to examples as given below:

```
python $CONDA_PREFIX/cuml/examples/example-dask-cuml-knn/example-dask-cuml-knn.py --dask_scheduler tcp://<IP>:<PORT>
```

--n_workers option can be used to restrict the number of workers to be created. Default
number of workers is the number of GPUs available on the machine. --n_workers option
is ignored if --dask_scheduler option is used.

--n_neighbors option represent the number of nearest neighbors to be queried.

&copy; Copyright IBM Corporation 2019
